//+------------------------------------------------------------------+
//|                                                i_evro_candle.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Red

extern int     begin_time=8;
extern int     end_time=20;
extern color   color_down=Red;
extern color   color_up=Blue;

int count_end_candle=0;
int count_begin_candle=0;
datetime new_time;
//---- buffers
double open[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,open);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(0, OBJ_ARROW);
   ObjectsDeleteAll(0, OBJ_TREND);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   if(Period()!=60)
      {
       ObjectsDeleteAll(0, OBJ_ARROW);
       ObjectsDeleteAll(0, OBJ_TREND);
       Alert("  1");
       Sleep(5000);
      }
   int    limit;
   int    counted_bars=IndicatorCounted();
   //---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   for(int i=0; i<limit; i++)
   { 
//----                                                   //   
   if(TimeHour(Time[i])==begin_time)
      {
       if(new_time!=Time[i])
         {
          count_begin_candle++; 
          ObjectCreate("begin_price+"+count_begin_candle,OBJ_ARROW,0,Time[i],Open[i]);
          ObjectSet("begin_price+"+count_begin_candle,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
         }
      }
   //================================================
   if(TimeHour(Time[i])==end_time)
      {
       if(new_time!=Time[i])
         {
          count_end_candle++;
          ObjectCreate("end_price+"+count_end_candle,OBJ_ARROW,0,Time[i],Open[i]);
          ObjectSet("end_price+"+count_end_candle,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
         }
       ObjectCreate("trend_line"+count_end_candle,OBJ_TREND,0,Time[i+(end_time-begin_time)],Open[i+(end_time-begin_time)],Time[i],Open[i]);
       ObjectSet("trend_line"+count_end_candle,OBJPROP_RAY,false);
       if(Open[i+(end_time-begin_time)]>Open[i])    //    
         {
          ObjectSet("trend_line"+count_end_candle,OBJPROP_COLOR, color_down);
         }
       if(Open[i+(end_time-begin_time)]<Open[i])
         {
          ObjectSet("trend_line"+count_end_candle,OBJPROP_COLOR, color_up);
         }
      }
//----                                                   //   
   }
   return(0);
  }
//+------------------------------------------------------------------+